Subject: Hardcoded Production context
Description

Use surf with other context is not possible bcause there are several hardcoded lines with the Production context. See attached screen

Associated revisions
Revision 53095765 - 2013-01-23 09:31 - Dominique Feyer

[BUGFIX] Hardcoded production context

Currently, the Production context is hardcoded in many commands.

This commit adds a context option to the Flow application template,
plus a manual override via a parameter.

Resolves: #35801
Change-Id: Ibd419dda40b64e4a433436f0d184e55d1f107acb

History
#1 - 2012-04-09 22:53 - Julian Kleinhans

Example call:
 $ FLOW3_CONTEXT=Staging ./flow3 surf:deploy tutorials3

#2 - 2012-08-26 14:57 - Andreas Wolf

I'd set the context in the deployment and offer a chance to override this with a local variable.

Additionally we might want to run a command for different contexts; maybe this can be handled by using an array as option "context". The command
would then be repeated for each array entry.

#3 - 2012-08-26 15:18 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14111

#4 - 2012-12-04 17:04 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16959

#5 - 2013-01-22 14:58 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/16959

#6 - 2013-01-22 15:06 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/16959

#7 - 2013-01-23 09:37 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/16959

#8 - 2013-03-06 09:30 - Dominique Feyer
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:53095765c3b280267002adf6c2fd6a08baad3af8.

#9 - 2013-03-06 16:00 - Martin Ficzel

The SymlinkConfiguration Task should be updated too.

Currently the CopyConfigurationTask copies all yaml-files from folder Build/Surf/__deployment__/Configuration  to shared/Configuration but the
SymlinkConfigurationTask creates only the Production Symlink for the release. I suggest to create the symlink only for the deployed context.

#10 - 2013-03-07 14:05 - Christopher Hlubek

I'm pretty unhappy with the SymlinkConfigurationTask because it breaks the isolation of releases. I noted that also in the class documentation "Note:
this might cause problems with concurrent access due to the cached configuration insided this directory.".

This comes from the way Flow builds the configuration cache and is not something Surf can solve. It's better to copy configuration to each release for
isolation. Otherwise the new/old release can break if users access the application during deployment! So I would rather remove that task or disable it
by default.

Greetings,

Christopher
Currently the CopyConfigurationTask copies all yaml-files from folder Build/Surf/__deployment__/Configuration  to shared/Configuration but the
SymlinkConfigurationTask creates only the Production Symlink for the release. I suggest to create the symlink only for the deployed context.

#11 - 2013-03-19 18:05 - Martin Ficzel

In that case the task should be disabled by default and another setup should be documented and encouraged. Maybe using subcontexts for the
different deployment-targets could be an easy ans logical option. In that case nothing like copyConfiguration would be needed at all.

Greetings, Martin
